using System;

using Ringlet.Misc.VCS;

namespace vcs_sample
{
	/// <summary>
	/// A class demonstrating the obsolete IVersioned interface.
	/// </summary>
	/// <remarks>
	/// The IVersioned interface *is* obsolete, just as the compiler
	/// will warn!  Use the new VCS attribute, as shown in the other
	/// files of this sample app.
	/// </remarks>
	public class Versioned : IVersioned
	{
		/// <summary>
		/// Initialize a Versioned object.
		/// </summary>
		public Versioned()
		{
			Console.WriteLine("A Versioned instance.");
		}

		/// <summary>
		/// The version control system tag.
		/// </summary>
		public string VCSTag
		{
			get
			{
				return ("$Ringlet: cs/misc/vcs-net/vcs-sample/Versioned.cs,v 1.1 2003/10/25 18:49:19 roam Exp $");
			}
		}
	}
}
